{%- from "designate/map.jinja" import server,upgrade with context %}

designate_upgrade_verify_api:
  test.show_notification:
    - name: "dump_message_verify_api"
    - text: "Running designate.upgrade.verify.api"

{%- if server.get('role', 'primary') == 'primary' %}
  {%- if upgrade.verify.zone.enabled %}

designatev2_zone_present:
  designatev2.zone_present:
  - cloud_name: admin_identity
  - name: {{ upgrade.verify.zone.name }}
  - email: 'example@doc.com'

designatev2_zone_get_details:
  module.run:
    - name: designatev2.zone_get_details
    - kwargs:
        cloud_name: admin_identity
        zone_id: {{ upgrade.verify.zone.name }}

designatev2_zone_get_name_servers:
  module.run:
    - name: designatev2.zone_get_name_servers
    - kwargs:
        cloud_name: admin_identity
        zone_id: {{ upgrade.verify.zone.name }}

designatev2_zone_absent:
  designatev2.zone_absent:
  - cloud_name: admin_identity
  - name: {{ upgrade.verify.zone.name }}
  {%- endif %}

designatev2_zone_list:
  module.run:
    - name: designatev2.zone_list
    - kwargs:
        cloud_name: admin_identity
{%- endif %}
